| Method | URI | Description |
|---|---|---|
| GET | /v2.0/users/{userId}/OS-OS-KSS3/credentials{?marker,limit} | Lists credentials. |
Normal response codes: 200, 203
Error response codes: identityFault (400, 500, …), badRequest (400), unauthorized (401), forbidden (403), badMethod (405), overLimit (413), serviceUnavailable (503), itemNotFound (404)
This table shows the header parameters for the list credentials request:
| Name | Type | Description |
|---|---|---|
| String (Required) | A valid authentication token. |
This table shows the URI parameters for the list credentials request:
| Name | Type | Description |
|---|---|---|
| String | The user ID. |
This operation does not require a request body.
Example 4.71. List Credentials: XML response
<?xml version="1.0" encoding="UTF-8"?>
<credentials xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
xmlns="http://docs.openstack.org/identity/api/v2.0">
<passwordCredentials username="test_user" password="test"/>
<s3Credentials xmlns="http://docs.openstack.org/identity/api/ext/OS-KSS3/v1.0"
username="testuser" key="aaaaa" signature="bbbbb"/>
</credentials>
Example 4.72. List Credentials: JSON response
{
"credentials":[{
"passwordCredentials":{
"username": "test_user",
"password": "mypass"
}
},
{
"OS-KSS3:s3Credentials":{
"username": "test_user",
"secret": "aaaaa",
"signature": "bbb"
}
}
],
"credentials_links":[]
}

